---
title: Get User Info
description: This endpoint is used to retrieve the User Information.
url: https://storyblok.com/docs/api/management/oauth/get-user-info
---

# Get User Info

This endpoint is used to retrieve the User Information.

```html
https://mapi.storyblok.com/v1/user_info
```

```bash
https://api.storyblok.com/oauth/user_info
```

When working with plugins like **Space** or **Tools** and need to read data using the Storyblok Management API, you can use either of the endpoints shown above. However, make sure to review the [OAuth authorization flow](/docs/plugins/oauth-authorization-flow) first to understand how authentication works and how it should be implemented.

## Examples

Example Request

```plaintext
$ curl 'https://api.storyblok.com/oauth/user_info' -H 'authorization: Bearer YOURTOKEN'
```

This will return a user object and a array of space roles:

Example Return Object

```json
{
"user": {
  "friendly_name": "My name",
  "id": 20
},
"roles": [
  {
    "name": "admin"
  }
]
}
```

## Pagination

-   [Previous: Get Space Info](/docs/api/management/oauth/get-space-info)
-   [Next: Pipelines](/docs/api/management/pipelines)
